{% extends 'base.html' %}
{% load static %}

{% block title %}Admin{% endblock %}
{% block rezerva %}{% endblock %}
{% block body %}
    {% block header_admin %}
{#        {% if perms.reservation.create_reservation %}#}
{#            <a class="btn btn-outline-secondary" href="{% url 'reservation_all_view' %}" role="button">Toate Rezervarile</a>#}
{#        {% endif %}#}
        {% if perms.room.view_room %}
            <a class="btn btn-primary" href="{% url 'room_all_view' %}" role="button">Toate Camerele</a>
        {% endif %}
        {% if perms.facility.view_facility %}
            <a class="btn btn-primary" href="{% url 'facility_all_view' %}" role="button">Toate Facilitatile</a>
        {% endif %}
        {% if perms.image.view_image %}
            <a class="btn btn-primary" href="{% url 'image_all_view' %}" role="button">Toate Pozele</a>
        {% endif %}
        {% if perms.rooms.add_room %}
            <a class="btn btn-success btn-sm" href="{% url 'room_create' %}" role="button">Creaza Camera</a>
        {% endif %}
        {% if perms.image.create_image %}
            <a class="btn btn-success btn-sm" href="{% url 'image_create' %}" role="button">Adauga Imaginea</a>
        {% endif %}
        {% if perms.facility.create_facility %}
            <a class="btn btn-success btn-sm" href="{% url 'facility_create' %}" role="button">Adauga Facilitatea</a>
        {% endif %}
        {% if perms.facility_image.create_image %}
            <a class="btn btn-success btn-sm" href="{% url 'facility_image_create' %}" role="button">Adauga Imag Facilitate</a>
        {% endif %}
        {% if request.user.is_staff %}
            <a class="btn btn-dark" href="{% url 'admin_page' %}" role="button">Home admin</a>
        {% endif %}
        {#    <a class="btn btn-primary" href="{% url 'article_update' %}" role="button">Update article</a>#}
        {#    <a class="btn btn-primary" href="{% url 'article_delete' %}" role="button">Delete article</a>#}
    {% endblock %}
    {% block admin_content %}{% endblock %}
{% endblock %}